Bug 1277480 - 32bit jack clients stopped running on 64bit jackd after fc21
32bit jack clients stopped running on 64bit jackd after fc21
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: jack-audio-connection-kit (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 07:45 EST by Anders
Modified: 2016-07-19 15:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:58:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anders 2015-11-03 07:45:26 EST
Description of problem:

Since fc22 32bit jack clients don't run any longer on 64bit jackd.  Ie. 'mixed' mode compilation of 64bit jackd.  

The behavior is verified across installs, using simple_client.c from jack/example-clients/*

Version-Release number of selected component (if applicable):

1.9.10

Build date fc21 (working): Sat Nov 29 06:34:36 2014
Build date fc22 (not ok):  Tue May 12 17:19:25 2015
Also checked with fc23 now, and same behavior as fc22.

How reproducible:

Consistent

Steps to Reproduce:
1. start (64bit) jackd
2. gcc -m32 -g -O -ljack -lm    simple_client.c   -o simple_client32
3. ./simple_client32
4. check output from jackd with piles of "JackEngine::XRun: client = simple_client.i686 was not finished, state = Triggered"

Actual results:

the client hangs

Expected results:

the client does its callback and prepares for next cycle

Additional info:
Comment 1 Nils Philippsen 2016-04-21 12:11:17 EDT
I just installed the F21 packages on an F22 VM and saw the same behavior. Apparently changes in JACK (or how it is built) are not what's causing this.

Reducing severity because "urgent" just makes this ticket pop up in all the wrong tools and I don't have a handle on how to find which change causes this.
Comment 2 Fedora End Of Life 2016-07-19 15:58:50 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.